summaryrefslogtreecommitdiff
path: root/make.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make.sh')
-rwxr-xr-xmake.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/make.sh b/make.sh
index 29e99de44..93d3e8dc9 100755
--- a/make.sh
+++ b/make.sh
@@ -67,8 +67,9 @@ function pkg:patch() {
continue;
fi
+ args=$(cat ${diff%.diff}.args 2>/dev/null || true)
echo "patching with ${diff}..."
- patch -p1 <"${diff}"
+ patch ${args:=-p1} <"${diff}"
done
}